<div class="plc ">
    <div class="plc-menu">
        {{config.outputStatement}}
    </div>
    
    <div class="device-status-move-module move-module"
         ng-class="{'transform-animateOut':bodyConfig.animateOut,'transform-select':bodyConfig.animateSelect}">
        <div class="plc-content output-statement-heading">
            <div class="row">
                <div class="col-sm-12">
                    <div class="public-horizon-form">
                        <div class="public-horizon">
                            <div class="horizon-btns horizon-label">
                                <div class="radio radio-primary radio-inline">
                                    <input type="radio" id="inlineRadio3" name="identity" ng-click="changeSelect('DEV')" ng-checked=true>
                                    <label for="inlineRadio3" > 按设备查询 </label>
                                </div>
                            </div>
                            <div class="horizon-btns horizon-label">
                                <div class="radio radio-primary radio-inline">
                                    <input type="radio" id="inlineRadio4" name="identity" ng-click="changeSelect('ITEM')">
                                    <label for="inlineRadio4" > 按物料编码查询 </label>
                                </div>
                            </div>
                        </div>
                        <div class="public-horizon">
                            <label class="horizon-label label-4">生产区域：</label>
                            <div class="horizon-group horizon-col-3">
                                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(focusInput)}" >
                                    <input ng-init="focusInput=false" ng-focus="focusInput=true"  ng-blur="focusInput=false"
                                           type="text" value="" placeholder="搜索" class="form-control ad-left-child" ng-disabled="true"
                                           ng-model="config.workAreaName" ng-change="disableBtn()" ng-keyup="upModel('workArea')">
                                    <i class="fa fa-search ad-right-child focus" ng-click="toAreaHelp()" ng-if="config.showSelectArea"></i>
                                    <i class="ion-ios-close-outline ad-right-child focus" ng-click="deleteAll('area')" ng-if="!config.showSelectArea"></i>                                </div>
                            </div>
                            <label class="horizon-label label-4">拉线：</label>
                            <div class="horizon-group horizon-col-3">
                                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(lineInput)}">
                                    <input ng-init="lineInput=false"
                                           ng-focus="lineInput=true"
                                           ng-keyup="upModel('workLine')"
                                           ng-disabled="true"
                                           ng-blur="lineInput=false"
                                           type="text" value=""
                                           placeholder="搜索" class="form-control ad-left-child"
                                           ng-model="config.workLineName" ng-change="disableBtn()">
                                    <i class="fa fa-search ad-right-child focus" ng-click="toWireLineHelp()" ng-if="config.showSelectLine"></i>
                                    <i class="ion-ios-close-outline ad-right-child focus" ng-click="deleteAll('line')" ng-if="!config.showSelectLine"></i>                                </div>
                            </div>
                            <label class="horizon-label label-4"><!-- <span class="text-red" ng-if="config.showDevice">*</span> -->设备：</label>
                            <div class="horizon-group horizon-col-3">
                                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(deviceInput)}">
                                    <input ng-init="deviceInput=false"
                                           ng-focus="deviceInput=true"
                                           ng-keyup="upModel('deviceCode')"
                                           ng-blur="deviceInput=false"
                                           type="text" value=""
                                           ng-disabled="false"
                                           placeholder="搜索"
                                           class="form-control ad-left-child"
                                           ng-model="config.deviceCode"
                                           ng-change="disableBtn()">
                                    <i class="fa fa-search ad-right-child focus" ng-click="toDeviceHelp()" ng-if="config.showResource"></i>
                                    <i class="ion-ios-close-outline ad-right-child focus" ng-click="deleteAll('device')" ng-if="!config.showResource"></i>
                                </div>
                            </div>
                            <label class="horizon-label label-4">Model：</label>
                            <div class="horizon-group horizon-col-3">
                                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(modelInput)}">
                                    <input ng-init="modelInput=false" ng-focus="modelInput=true" ng-keyup="upModel('model')"
                                           ng-blur="modelInput=false" type="text" value="" ng-disabled="false"
                                           placeholder="搜索" class="form-control ad-left-child" ng-model="config.model" ng-change="disableBtn()">
                                    <i class="fa fa-search ad-right-child focus" ng-click="toModelHelp()" ng-if="config.showModel"></i>
                                    <i class="ion-ios-close-outline ad-right-child focus" ng-click="deleteAll('model')" ng-if="!config.showModel"></i>
                                </div>
                            </div>
                            <div class="horizon-btns">
                            	<button class="btn no-display"><span style="color:#fff">导出</span></button>
                            </div>
                        </div>
                        <div class="public-horizon">
                            <label class="horizon-label label-4"><span class="text-red" ng-if="config.showCode">*</span>物料编码：</label>
                            <div class="horizon-group horizon-col-3">
                                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(materialInput)}">
                                    <input ng-init="materialInput=false" ng-focus="materialInput=true"
                                           ng-keyup="upModel('itemCode')" ng-disabled="false"
                                           ng-blur="materialInput=false" type="text"
                                           value="" placeholder="搜索" class="form-control ad-left-child"
                                           ng-model="config.itemCode" ng-change="disableBtn()">
                                    <i class="fa fa-search ad-right-child focus" ng-click="toCodeHelp()" ng-if="config.showItem"></i>
                                    <i class="ion-ios-close-outline ad-right-child focus" ng-click="deleteAll('itemCode')" ng-if="!config.showItem"></i>
                                </div>
                            </div>
                            <label class="horizon-label label-4"><span class="text-red">*</span>开始日期：</label>
                            <div class="horizon-group horizon-col-3">
                                <input type="text" value="" id="reportStartDate"
                                       class="form-control"
                                       ng-model="config.startDate"
                                       ng-change="dateChanged('S')"
                                       ng-init="initDateTimePicker('#reportStartDate', {},'Y-m-d',false,false);"/>
                            </div>
                            <label class="horizon-label label-4"><span class="text-red">*</span>结束日期：</label>
                            <div class="horizon-group horizon-col-3">
                                <input type="text" value="" id="reportEndDate"
                                       class="form-control"
                                       ng-model="config.endDate"
                                       ng-change="dateChanged('S')"
                                       ng-init="initDateTimePicker('#reportEndDate', {},'Y-m-d',false,false);"/>
                            </div>
                            <label class="horizon-label label-4">班次：</label>
                            <div class="horizon-group horizon-col-3">
                                <ui-select class="andon-content-ui-select" ng-model="config.currentShift">
                                    <ui-select-match placeholder="--- 请选择 ---">
                                        <span ng-bind="config.currentShift.description || config.currentShift.shift"></span>
                                    </ui-select-match>
                                    <ui-select-no-choice>
                                        <a href ng-click="$select.toggle($event);">
                                            <span ng-if="!config.currentWorkCenter.workCenter"
                                                  class="no-action-color">请先选择生产区域</span>
                                            <span ng-if="!!config.currentShift.shift" class="no-data-color">暂无班次</span>
                                        </a>
                                    </ui-select-no-choice>
                                    <ui-select-choices
                                            repeat="item in (config.shiftsChange) track by $index">
                                        <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                                    </ui-select-choices>
                                </ui-select>
                            </div>
                            <div class="horizon-btns">
                                <button class="btn btn-primary" ng-disabled="config.downloadBtn" ng-click="exportExcel()" >导出</button>
                            </div>
                        </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <move-template></move-template>
        <div class="plc-content device-statement-content">
           <div>
           	   <div class="export_count">
               		<label class="control-label label-title">{{config.ppmCount}}</label>
               </div>
           </div>
     </div>
</div>